Bug 957833 - Please implement "yum localinstall" feture to dnf
Summary: Please implement "yum localinstall" feture to dnf
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-29 16:33 UTC by Jindrich Novy
Modified: 2016-10-26 16:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-04 15:56:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Jindrich Novy 2013-04-29 16:33:22 UTC
The localinstall feature is very useful thing to resolve deps and install packages which are downloaded locally in current directory. Because of lack of it in DNF I need to use YUM which sucks. I hope I wouldn't be the only one who will appreciate this feature in DNF as well.

Comment 1 Ales Kozumplik 2013-04-29 16:48:12 UTC
Jindrich,

this is what I read in Yum's documentation about localinstall:

       localinstall
              Is  used  to  install  a  set  of local rpm files. If required the enabled repositories will be used to
              resolve dependencies. Note that the install command will do a local install, if given a filename.  This
              command is maintained for legacy reasons only.

This was the reason why I removed localinstall. What does 'dnf install <local rpm>' do for you?

Comment 2 Ales Kozumplik 2013-04-29 16:48:22 UTC
Jindrich,

this is what I read in Yum's documentation about localinstall:

       localinstall
              Is  used  to  install  a  set  of local rpm files. If required the enabled repositories will be used to
              resolve dependencies. Note that the install command will do a local install, if given a filename.  This
              command is maintained for legacy reasons only.

This was the reason why I removed localinstall. What does 'dnf install <local rpm>' do for you?

Comment 3 Jindrich Novy 2013-04-29 16:59:25 UTC
Works for me, thanks Ales!

Comment 4 Mr. Meval 2015-06-20 01:33:06 UTC
Yum will install a local rpm if there are no dependencies inside the file. DNF will not and it then wants to download 2 megs of metadata bloat when I'm on a cell modem and have limited data.

Comment 5 Jorj Oro 2016-02-03 11:51:36 UTC
@Mr. Meval, why not having: locally stored rpms, use 'createrepo_c' command, create a local.repo file in /etc/yum.repos.d and install normally with 'dnf install package' instead of a big headache?

Comment 6 Tomasz Torcz 2016-10-04 15:42:48 UTC
I'm reopening because this functionality broke:

# ls -l *rpm
-rw-r--r--. 1 root root    90462 10-03 19:33 kernel-PAE-4.8.0-1.fc26.i686.rpm
-rw-r--r--. 1 root root 19756534 10-03 19:34 kernel-PAE-core-4.8.0-1.fc26.i686.rpm
-rw-r--r--. 1 root root 21815734 10-03 19:26 kernel-PAE-modules-4.8.0-1.fc26.i686.rpm

# dnf install ./*rpm
Last metadata expiration check: 0:27:26 ago on Tue Oct 04 17:14:08 2016 CEST.
No match for argument: kernel-PAE-4.8.0-1.fc26.i686.rpm
No match for argument: kernel-PAE-core-4.8.0-1.fc26.i686.rpm
No match for argument: kernel-PAE-modules-4.8.0-1.fc26.i686.rpm
Error: Unable to find a match

# rpm -q dnf
dnf-2.0.0-0.rc1.2.fc26.noarch

Comment 7 Igor Gnatenko 2016-10-04 15:56:58 UTC
(In reply to Tomasz Torcz from comment #6)
> I'm reopening because this functionality broke:
Please open new bug.
> 
> # ls -l *rpm
> -rw-r--r--. 1 root root    90462 10-03 19:33 kernel-PAE-4.8.0-1.fc26.i686.rpm
> -rw-r--r--. 1 root root 19756534 10-03 19:34
> kernel-PAE-core-4.8.0-1.fc26.i686.rpm
> -rw-r--r--. 1 root root 21815734 10-03 19:26
> kernel-PAE-modules-4.8.0-1.fc26.i686.rpm
> 
> # dnf install ./*rpm
> Last metadata expiration check: 0:27:26 ago on Tue Oct 04 17:14:08 2016 CEST.
> No match for argument: kernel-PAE-4.8.0-1.fc26.i686.rpm
> No match for argument: kernel-PAE-core-4.8.0-1.fc26.i686.rpm
> No match for argument: kernel-PAE-modules-4.8.0-1.fc26.i686.rpm
> Error: Unable to find a match
> 
> # rpm -q dnf
> dnf-2.0.0-0.rc1.2.fc26.noarch


Note You need to log in before you can comment on or make changes to this bug.